Package org.jboss.modules

# Class DependencyTreeViewer

java.lang.Object
org.jboss.modules.DependencyTreeViewer

public final class DependencyTreeViewer extends Object
A dependency tree viewer utility. Prints out the dependency tree for a module.

## Constructor Summary

Constructors
Constructor
Description
`DependencyTreeViewer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`print(PrintWriter out, String name, File... roots)`
Print the dependency tree for the given module with the given module root list.
`static void`
`print(PrintWriter out, ModuleIdentifier identifier, File... roots)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `print(PrintWriter, String, File...)` instead.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyTreeViewer

public DependencyTreeViewer()

## Method Details

### print

@Deprecated(forRemoval=true) public static void print(PrintWriter out, ModuleIdentifier identifier, File... roots)
Deprecated, for removal: This API element is subject to removal in a future version.
Use `print(PrintWriter, String, File...)` instead.
Print the dependency tree for the given module with the given module root list.

Parameters:
  `out` - the output stream to use
  `identifier` - the identifier of the module to examine
  `roots` - the module roots to search

### print

public static void print(PrintWriter out, String name, File... roots)
Print the dependency tree for the given module with the given module root list.

Parameters:
  `out` - the output stream to use
  `name` - the name of the module to examine
  `roots` - the module roots to search